Package proton :: Class Terminus

[frames] | no frames]

# Class Terminus

source code

    object --+
             |
            Terminus

Instance Methods

__init__(self, impl) x.__init__(...) initializes x; see help(type(x)) for signature | source code

copy(self, src) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| UNSPECIFIED = `0`
| SOURCE = `1`
| TARGET = `2`
| COORDINATOR = `3`
| NONDURABLE = `0`
| CONFIGURATION = `1`
| DELIVERIES = `2`
| DIST_MODE_UNSPECIFIED = `0`
| DIST_MODE_COPY = `1`
| DIST_MODE_MOVE = `2`
| EXPIRE_WITH_LINK = `0`
| EXPIRE_WITH_SESSION = `1`
| EXPIRE_WITH_CONNECTION = `2`
| EXPIRE_NEVER = `3`

Properties
| type
| address The address that identifies the source or target node
| durability
| expiry_policy
| timeout
| dynamic Indicates whether the source or target node was dynamically created
| distribution_mode
| properties Properties of a dynamic source or target.
| capabilities Capabilities of the source or target.
| outcomes
| filter A filter on a source allows the set of messages transfered over the link to be restricted
Inherited from `object`: `__class__`

Method Details

### __init__(self, impl)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### type

Get Method:
  _get_type(self)
Set Method:
  _set_type(self, type)

### address

The address that identifies the source or target node

Get Method:
  _get_address(self) - The address that identifies the source or target node
Set Method:
  _set_address(self, address)

### durability

Get Method:
  _get_durability(self)
Set Method:
  _set_durability(self, seconds)

### expiry_policy

Get Method:
  _get_expiry_policy(self)
Set Method:
  _set_expiry_policy(self, seconds)

### timeout

Get Method:
  _get_timeout(self)
Set Method:
  _set_timeout(self, seconds)

### dynamic

Indicates whether the source or target node was dynamically created

Get Method:
  _is_dynamic(self) - Indicates whether the source or target node was dynamically created
Set Method:
  _set_dynamic(self, dynamic)

### distribution_mode

Get Method:
  _get_distribution_mode(self)
Set Method:
  _set_distribution_mode(self, mode)

### properties

Properties of a dynamic source or target.

Get Method:
  unreachable.properties(self) - Properties of a dynamic source or target.

### capabilities

Capabilities of the source or target.

Get Method:
  unreachable.capabilities(self) - Capabilities of the source or target.

### outcomes

Get Method:
  unreachable.outcomes(self)

### filter

A filter on a source allows the set of messages transfered over the link to be restricted

Get Method:
  unreachable.filter(self) - A filter on a source allows the set of messages transfered over the link to be restricted